Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.marshall
Interface Ids

    public interface Ids

Indexes for object types. These are currently limited to being unsigned ints, so valid values are considered those in the range of 0 to 254. Please note that the use of 255 is forbidden since this is reserved for foreign, or user defined, externalizers.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.
See Also:
  `Ids`

Field Summary
`static int` | `SCHEMATIC_DOCUMENT_CHANGES`
`static int` | `SCHEMATIC_VALUE_ADD_IF_ABSENT_OPERATION`
`static int` | `SCHEMATIC_VALUE_ADD_OPERATION`
`static int` | `SCHEMATIC_VALUE_BINARY`
`static int` | `SCHEMATIC_VALUE_CLEAR_OPERATION`
`static int` | `SCHEMATIC_VALUE_CODE`
`static int` | `SCHEMATIC_VALUE_DELTA`
`static int` | `SCHEMATIC_VALUE_DOCUMENT`
`static int` | `SCHEMATIC_VALUE_LITERAL`
`static int` | `SCHEMATIC_VALUE_MAXKEY`
`static int` | `SCHEMATIC_VALUE_MINKEY`
`static int` | `SCHEMATIC_VALUE_NULL`
`static int` | `SCHEMATIC_VALUE_OBJECT_ID`
`static int` | `SCHEMATIC_VALUE_PATH`
`static int` | `SCHEMATIC_VALUE_PUT_IF_ABSENT_OPERATION`
`static int` | `SCHEMATIC_VALUE_PUT_OPERATION`
`static int` | `SCHEMATIC_VALUE_REMOVE_ALL_VALUES_OPERATION`
`static int` | `SCHEMATIC_VALUE_REMOVE_AT_INDEX_OPERATION`
`static int` | `SCHEMATIC_VALUE_REMOVE_OPERATION`
`static int` | `SCHEMATIC_VALUE_REMOVE_VALUE_OPERATION`
`static int` | `SCHEMATIC_VALUE_RETAIN_ALL_OPERATION`
`static int` | `SCHEMATIC_VALUE_RETAIN_ALL_VALUES_OPERATION`
`static int` | `SCHEMATIC_VALUE_SET_VALUE_OPERATION`
`static int` | `SCHEMATIC_VALUE_SYMBOL`
`static int` | `SCHEMATIC_VALUE_TIMESTAMP`

Field Detail

### SCHEMATIC_VALUE_LITERAL

    static final int SCHEMATIC_VALUE_LITERAL

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_DELTA

    static final int SCHEMATIC_VALUE_DELTA

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_PUT_OPERATION

    static final int SCHEMATIC_VALUE_PUT_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_REMOVE_OPERATION

    static final int SCHEMATIC_VALUE_REMOVE_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_RETAIN_ALL_OPERATION

    static final int SCHEMATIC_VALUE_RETAIN_ALL_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_ADD_OPERATION

    static final int SCHEMATIC_VALUE_ADD_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_ADD_IF_ABSENT_OPERATION

    static final int SCHEMATIC_VALUE_ADD_IF_ABSENT_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_CLEAR_OPERATION

    static final int SCHEMATIC_VALUE_CLEAR_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_REMOVE_AT_INDEX_OPERATION

    static final int SCHEMATIC_VALUE_REMOVE_AT_INDEX_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_REMOVE_VALUE_OPERATION

    static final int SCHEMATIC_VALUE_REMOVE_VALUE_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_REMOVE_ALL_VALUES_OPERATION

    static final int SCHEMATIC_VALUE_REMOVE_ALL_VALUES_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_RETAIN_ALL_VALUES_OPERATION

    static final int SCHEMATIC_VALUE_RETAIN_ALL_VALUES_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_SET_VALUE_OPERATION

    static final int SCHEMATIC_VALUE_SET_VALUE_OPERATION

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_PATH

    static final int SCHEMATIC_VALUE_PATH

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_DOCUMENT

    static final int SCHEMATIC_VALUE_DOCUMENT

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_SYMBOL

    static final int SCHEMATIC_VALUE_SYMBOL

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_TIMESTAMP

    static final int SCHEMATIC_VALUE_TIMESTAMP

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_OBJECT_ID

    static final int SCHEMATIC_VALUE_OBJECT_ID

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_MINKEY

    static final int SCHEMATIC_VALUE_MINKEY

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_MAXKEY

    static final int SCHEMATIC_VALUE_MAXKEY

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_CODE

    static final int SCHEMATIC_VALUE_CODE

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_BINARY

    static final int SCHEMATIC_VALUE_BINARY

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_NULL

    static final int SCHEMATIC_VALUE_NULL

See Also:
  Constant Field Values

### SCHEMATIC_DOCUMENT_CHANGES

    static final int SCHEMATIC_DOCUMENT_CHANGES

See Also:
  Constant Field Values

### SCHEMATIC_VALUE_PUT_IF_ABSENT_OPERATION

    static final int SCHEMATIC_VALUE_PUT_IF_ABSENT_OPERATION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.